net-tools didnt install netstat or arp

How do i install net-tools right? i installed net-tools with zypper and i still can’t use netstat or arp.


localhost:/home/Errigour/Downloads # zypper lr -pu
# | Alias               | Name             | Enabled | GPG Check | Refresh | Priority | URI
--+---------------------+------------------+---------+-----------+---------+----------+-------------------------------------------------------------------------
1 | edge                | edge             | Yes     | (r ) Yes  | No      |   97     | https://packages.microsoft.com/yumrepos/edge
2 | microsoft-edge      | microsoft-edge   | Yes     | (r ) Yes  | Yes     |   99     | https://packages.microsoft.com/yumrepos/edge/
3 | openSUSE-20220907-0 | openSUSE-20220-> | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/tumbleweed/repo/oss/
4 | repo-debug          | openSUSE-Tumbl-> | Yes     | (r ) Yes  | Yes     |   98     | http://download.opensuse.org/debug/tumbleweed/repo/oss/
5 | repo-non-oss        | openSUSE-Tumbl-> | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/tumbleweed/repo/non-oss/
6 | repo-source         | openSUSE-Tumbl-> | No      | ----      | ----    |   99     | http://download.opensuse.org/source/tumbleweed/repo/oss/
7 | repo-update         | openSUSE-Tumbl-> | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/tumbleweed/
8 | security            | Security tools-> | Yes     | (r ) Yes  | No      |   99     | https://download.opensuse.org/repositories/security/openSUSE_Tumbleweed/

If you really want netstat and arp you need to install the package “net-tools-deprecated”

net-tools-deprecated - Deprecated Networking Utilities

This package contains the deprecated network utilities arp, ifconfig, netstat and route, which have been replaced by tools from the iproute2 package:

  • arp -> ip -r] neigh
  • ifconfig -> ip a
  • netstat -> ss -r]
  • route -> ip r